Summary:	GObject-based wrapper around the Exiv2 library
Summary(pl.UTF-8):	Oparte na GObject obudowanie biblioteki Exiv2
Name:		gexiv2
Version:	0.7.0
Release:	1
License:	GPL v2
Group:		Libraries
Source0:	http://yorba.org/download/gexiv2/0.7/lib%{name}-%{version}.tar.xz
# Source0-md5:	15f5adab32022c6ab3f66d82eed7c1e8
URL:		http://trac.yorba.org/wiki/gexiv2
BuildRequires:	exiv2-devel >= 0.21
BuildRequires:	glib2-devel >= 1:2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	m4
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
Requires:	exiv2-libs >= 0.21
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gexiv2 is a GObject-based wrapper around the Exiv2 library. It makes
the basic features of Exiv2 available to GNOME applications.

%description -l pl.UTF-8
gexiv2 to oparte na GObject obudowanie biblioteki Exiv2. Udostępnia
podstawowe możliwości Exiv2 aplikacjom GNOME.

%package devel
Summary:	Header files for gexiv2 library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gexiv2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	exiv2-devel >= 0.21
Requires:	glib2-devel >= 1:2.0
Requires:	libstdc++-devel

%description devel
Header files for gexiv2 library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gexiv2.

%package static
Summary:	Static gexiv2 library
Summary(pl.UTF-8):	Statyczna biblioteka gexiv2
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gexiv2 library.

%description static -l pl.UTF-8
Statyczna biblioteka gexiv2.

%package -n vala-gexiv2
Summary:	Vala binding for gexiv2 library
Summary(pl.UTF-8):	Wiązanie języka vala do biblioteki gexiv2
Group:		Development/Languages
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-gexiv2
Vala binding for gexiv2 library.

%description -n vala-gexiv2 -l pl.UTF-8
Wiązanie języka vala do biblioteki gexiv2.

%prep
%setup -q -n lib%{name}-%{version}

%build
# not autoconf-generated
./configure \
	--prefix=%{_prefix}

%{__make} \
	CFLAGS="%{rpmcflags}" \
	CXX="%{__cxx}" \
	LIB="%{_lib}" \
	LDFLAGS="-lm"

# fix hardcoded ${exec_prefix}/lib
sed -i -e 's,^libdir=.*,libdir=%{_libdir},' gexiv2.pc

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	LIB="%{_lib}"

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README THANKS
%attr(755,root,root) %{_libdir}/libgexiv2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgexiv2.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgexiv2.so
%{_libdir}/libgexiv2.la
%{_includedir}/gexiv2
%{_pkgconfigdir}/gexiv2.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgexiv2.a

%files -n vala-gexiv2
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/gexiv2.vapi
%changelog
* Sun Nov 17 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gexiv2.git;a=log;h=master

* Sat Nov 16 2013 Jakub Bogusz <qboosh@pld-linux.org> 20e82bf
- updated to 0.7.0

* Wed Mar 20 2013 wrobell <wrobell@pld-linux.org> 5626506
- ver. 0.6.1

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 59e8b54
- release 3 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> dd1af77
- rebuild with expat 2.1.0
- release 2 (by relup.sh)

* Wed Mar 28 2012 Jacek Konieczny <jajcus@pld-linux.org> 5481f2a
- Version: 0.3.92

* Thu Mar 24 2011 Jakub Bogusz <qboosh@pld-linux.org> 7cbb795
- updated to 0.3.1
- pl
- completed dependencies
- package docs
- separated vala binding
- pass CC and CFLAGS
- set proper libdir in .pc file

* Wed Mar 23 2011 Jacek Konieczny <jajcus@pld-linux.org> 3be85c3
- Version: 0.3.0

* Sun Feb 27 2011 Jacek Konieczny <jajcus@pld-linux.org> 17dd1f7
- run ldconfig in post/postun
- Release: 2

* Mon Jan 03 2011 Jacek Konieczny <jajcus@pld-linux.org> 15b3496
- link with libm (required on x86_64, won't hurt on other archs)
- Release: 2

* Sun Jan 02 2011 Jacek Konieczny <jajcus@pld-linux.org> 88671c7
- Version: 0.2.2

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 0a78b0b
- Up to 0.2.1

* Mon Sep 06 2010 Jacek Konieczny <jajcus@pld-linux.org> 83b73fa
- x86_64 fix
- BR: vala (for vapi)
- Release: 2

* Mon Sep 06 2010 Jacek Konieczny <jajcus@pld-linux.org> 39a6287
- include the Vala vapi file
- outdated patch removed

* Mon Sep 06 2010 Jacek Konieczny <jajcus@pld-linux.org> a4ad3ac
- Version: 0.2.0

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> b23ae6c
- Fixed dependencies and rel number

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> dfb42d9
- Adapterized
- Requires exiv2 >= 0.19

* Mon Aug 02 2010 Caleb Maclennan <caleb@alerque.com> 819f5fc
- Initial add

